Get scan status
GET
/scans/{scanId}
const url = 'https://api.invogi.com/v1/scans/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.invogi.com/v1/scans/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”scanId
required
string
Responses
Section titled “Responses”Scan
Media typeapplication/json
object
id
required
string
status
required
string
rowCount
integer
createdAt
string format: date-time
completedAt
string | null format: date-time
Example
{ "status": "CREATED"}Missing or invalid API key
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}